This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1487126 - (CVE-2017-14051) CVE-2017-14051 kernel: Integer overflow in the qla2x00_sysfs_write_optrom_ctl function
CVE-2017-14051 kernel: Integer overflow in the qla2x00_sysfs_write_optrom_ctl...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170830,repor...
: Security
Depends On: 1487660 1487127
Blocks: 1487133
  Show dependency treegraph
 
Reported: 2017-08-31 05:51 EDT by Adam Mariš
Modified: 2017-09-24 21:40 EDT (History)
49 users (show)

See Also:
Fixed In Version: kernel 4.13
Doc Type: Bug Fix
Doc Text:
An integer overflow was discovered in the qla2x00_sysfs_write_optrom_ctl function in drivers/scsi/qla2xxx/qla_attr.c in the Linux kernel through 4.12.10. This flaw allows local users to cause a denial of service (memory corruption and system crash) by leveraging root access.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-01 10:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-08-31 05:51:22 EDT
An integer overflow in the qla2x00_sysfs_write_optrom_ctl function in drivers/scsi/qla2xxx/qla_attr.c in the Linux kernel through 4.12.10 allows local users to cause a denial of service (memory corruption and system crash) by leveraging root access.

References:

https://bugzilla.kernel.org/show_bug.cgi?id=194061

https://marc.info/?t=150409582700003&r=1&w=2

https://marc.info/?t=150409994400005&r=1&w=2

Suggested upstream patch:

https://patchwork.kernel.org/patch/9929625/
Comment 1 Adam Mariš 2017-08-31 05:52:22 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1487127]
Comment 4 Vladis Dronov 2017-09-01 10:13:59 EDT
Statement:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2. This flaw is not planned to be addressed in future releases of the products listed as the flaw is not exploitable by a non-privileged user.

Note You need to log in before you can comment on or make changes to this bug.